'use strict';

var tap = require('tap');
var util = require('./util.js');
var node_net = require('node:net');

tap.test('getPort function returns an available port', async (t) => {
  const port = await util.getPort();
  t.plan(2);
  t.type(port, 'number', 'getPort should return a number');

  const server = node_net.createServer();
  server.listen(port, () => {
    t.pass('Port is usable');
  });
  server.on('close', () => {
    t.pass('Server closed');
  });
  server.close();
});
